Ubuntu PHP 切换版本

On your system, if you have installed multiple versions of PHP (eg PHP 7.2 and PHP 5.6 both). PHP 7.2 is running as default PHP for Apache and CLI. For any requirement, you need to use PHP 5.6. Then you don’t need to remove PHP 7.2. You can simply switch your PHP version to default used for Apache and command line.

For example, your server has PHP 7.2 and PHP 5.6 both version’s installed. Now following example will help you to switch between both versions. The PHP 5.6 is configured as default PHP version for Apache and CLI. Let’s make PHP 7.2 as default PHP for Apache server and CLI.

Switch From PHP 5.6 => PHP 7.2

The PHP 5.6 is set as default version in your system, and you need to switch to PHP 7.2. Run the following commands to switch for Apache and command line.

Apache:-

sudo a2dismod php5.6
sudo a2enmod php7.2
sudo service apache2 restart

Command Line:-

sudo update-alternatives --set php /usr/bin/php7.2
sudo update-alternatives --set phar /usr/bin/phar7.2
sudo update-alternatives --set phar.phar /usr/bin/phar.phar7.2
sudo update-alternatives --set phpize /usr/bin/phpize7.2
sudo update-alternatives --set php-config /usr/bin/php-config7.2

Note – The phpize7.2 and php-config7.2 command is available in php7.2-dev package. This is more useful for compiling PHP modules using pecl.

Switch From PHP 7.2 => PHP 5.6

Default PHP 7.2 is set on your system and you need to switch to PHP 5.6. Now run the following commands to switch for Apache and command line.

Apache:-

sudo a2dismod php7.2
sudo a2enmod php5.6
sudo service apache2 restart

Command Line:-

sudo update-alternatives --set php /usr/bin/php5.6
sudo update-alternatives --set phar /usr/bin/phar5.6
sudo update-alternatives --set phar.phar /usr/bin/phar.phar5.6 
sudo update-alternatives --set phpize /usr/bin/phpize5.6
sudo update-alternatives --set php-config /usr/bin/php-config5.6

Note – The phpize5.6 and php-config5.6 command is available in php5.6-dev package. This is more useful for compiling PHP modules using pecl.

发表评论

电子邮件地址不会被公开。 必填项已用*标注

WordPress 安装管理命令工具
Previous post
Ubuntu PHP 多个版本同时存在使用 pecl 安装扩展
Next post